require "sensu/plugins/nagios/style/check/output/version"

module NagiosOutput
  def ok (message = "")
    if message.empty?
      puts "OK"
    else
      puts "OK: #{message}"
    end
    exit 0
  end

  def warning (message = "")
    if message.empty?
      puts "WARNING"
    else
      puts "WARNING: #{message}"
    end
    exit 1
  end

  def critical (message = "")
    if message.empty?
      puts "CRITICAL"
    else
      puts "CRITICAL: #{message}"
    end
    exit 2
  end

  def unknown (message = "")
    if message.empty?
      puts "UNKNOWN"
    else
      puts "UNKNOWN: #{message}"
    end
    exit 3
  end
end
